ldns_dnssec_data_chain_struct Struct Reference

`#include <dnssec_verify.h>`

## Data Fields

ldns_rr_list * | rrset
ldns_rr_list * | signatures
ldns_rr_type | parent_type
ldns_dnssec_data_chain * | parent
ldns_pkt_rcode | packet_rcode
ldns_rr_type | packet_qtype
signed char | packet_nodata

## Detailed Description

Definition at line 20 of file dnssec_verify.h.

## Field Documentation

## rrset

ldns_rr_list* ldns_dnssec_data_chain_struct::rrset

Definition at line 22 of file dnssec_verify.h.

## signatures

ldns_rr_list* ldns_dnssec_data_chain_struct::signatures

Definition at line 23 of file dnssec_verify.h.

## parent_type

ldns_rr_type ldns_dnssec_data_chain_struct::parent_type

Definition at line 24 of file dnssec_verify.h.

## parent

ldns_dnssec_data_chain* ldns_dnssec_data_chain_struct::parent

Definition at line 25 of file dnssec_verify.h.

## packet_rcode

ldns_pkt_rcode ldns_dnssec_data_chain_struct::packet_rcode

Definition at line 26 of file dnssec_verify.h.

## packet_qtype

ldns_rr_type ldns_dnssec_data_chain_struct::packet_qtype

Definition at line 27 of file dnssec_verify.h.

## packet_nodata

signed char ldns_dnssec_data_chain_struct::packet_nodata

Definition at line 28 of file dnssec_verify.h.